# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /tmp/build/80754af9/combined_recipe, last modified Mon Feb 22 19:39:08 2021
# ------------------------------------------------

package:
  name: secretstorage
  version: 3.3.1
source:
  sha256: fd666c51a6bf200643495a04abb261f83229dcb6fd8472ec393df7ffc8b6f195
  url: https://pypi.io/packages/source/S/SecretStorage/SecretStorage-3.3.1.tar.gz
build:
  number: '0'
  script: /tmp/build/80754af9/secretstorage_1614022780358/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/bin/python
    -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv
  string: py39h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - ca-certificates 2021.1.19 h06a4308_0
    - certifi 2020.12.5 py39h06a4308_0
    - ld_impl_linux-64 2.33.1 h53a641e_7
    - libedit 3.1.20191231 h14c3975_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.1.0 hdf63c60_0
    - libstdcxx-ng 9.1.0 hdf63c60_0
    - ncurses 6.2 he6710b0_1
    - openssl 1.1.1j h27cfd23_0
    - pip 21.0.1 py39h06a4308_0
    - python 3.9.1 hdb3f193_2
    - readline 8.1 h27cfd23_0
    - setuptools 52.0.0 py39h06a4308_0
    - sqlite 3.33.0 h62c20be_0
    - tk 8.6.10 hbc83047_0
    - tzdata 2020f h52ac0ba_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7b6447c_3
  run:
    - cryptography
    - dbus
    - jeepney >=0.6
    - python >=3.9,<3.10.0a0
test:
  imports:
    - secretstorage
about:
  description: 'This module provides a way for securely storing passwords and other
    secrets.

    It uses D-Bus Secret Service API that is supported by GNOME Keyring (since

    version 2.30) and KSecretsService.

    The main classes provided are secretstorage.Item, representing a secret item

    (that has a label, a secret and some attributes) and secretstorage.Collection,

    a place items are stored in.

    SecretStorage supports most of the functions provided by Secret Service,

    including creating and deleting items and collections, editing items, locking

    and unlocking collections (asynchronous unlocking is also supported).

    '
  dev_url: https://github.com/mitya57/secretstorage
  doc_url: https://secretstorage.readthedocs.io/en/latest/
  home: https://github.com/mitya57/secretstorage
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Provides a way for securely storing passwords and other secrets.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - CurtLH
    - ccordoba12
